import axios from "axios";
import { Message } from "element-ui";

// create an axios instance
const service = axios.create({
    baseURL: process.env.VUE_APP_MICROWAVE_API, // url = base url + request url
    // baseURL: 'http://192.168.1.243:8086/macApi/', // url = base url + request url
    timeout: 5000000 // request timeout
});

// request interceptor
service.interceptors.request.use(
    config => {
        return config;
    },
    error => {
        console.log(error); // for debug
        return Promise.reject(error);
    }
);

service.interceptors.response.use(
    response => {
        const res = response.data;
        return res;
    },
    error => {
        console.log("err" + error); // for debug
        Message({
            message: error.message,
            type: "error",
            duration: 5 * 1000
        });
        return Promise.reject(error);
    }
);

export default service;
