import axios from "axios";
import { Message } from "element-ui";

// create an axios instance
const service = axios.create({
    // baseURL: process.env.VUE_APP_QUYU_API, // url = base url + request url
    baseURL: 'https://caplos.aircas.ac.cn/RCRSVATS/qygzt/admin-api/system/',
    timeout: 5000000 // request timeout
});

// request interceptor
service.interceptors.request.use(
    config => {
        return config;
    },
    error => {
        console.log(error); // for debug
        return Promise.reject(error);
    }
);

// response interceptor
service.interceptors.response.use(
    response => {
        const res = response.data;
        return res;
    },
    error => {
        console.log("err" + error); // for debug
        Message({
            message: error.message,
            type: "error",
            duration: 5 * 1000
        });
        return Promise.reject(error);
    }
);

export default service;
